Rotate the webhook HMAC secret
POST /order/v1/webhook/rotate-secret
POST
/order/v1/webhook/rotate-secret
Generates a new secret used for the X-Signature-SHA256 header. The new secret is returned only in this response — store it securely.
Authorizations
Section titled “Authorizations ”Responses
Section titled “ Responses ”The resource was returned successfully
object
id
required
string
companyId
string
organizationId
string
secret
required
New HMAC secret for header X-Signature-SHA256. Store it securely; it is returned only on create/rotate.
string
status
string
createdAt
string
updatedAt
string
object
error
string
Example
INVALID_REQUEST message
string
details
Array<object>
object
field
string
issue
string
description
string
Example
[ { "field": "field_name", "issue": "INVALID", "description": "Field is invalid" }]Unauthorized Request
object
error
string
Example
UNAUTHORIZED message
string
Example
Unauthorized Request details
Array<object>
object
field
string
issue
string
description
string
Example
[]object
error
string
Example
FORBIDDEN_ERROR message
string
details
Array<object>
object
field
string
issue
string
description
string
Example
[]Resource not found
object
error
string
Example
NOT_FOUND message
string
Example
Resource not found details
Array<object>
object
field
string
issue
string
description
string
Example
[]object
error
string
Example
INTERNAL_ERROR message
string
details
Array<object>
object
field
string
issue
string
description
string
Example
[]